[VP] APO FC Code Prepare2: Refine render packet

Refine render packet
[MOS] Add the lock for context array to keep thread safety

Multiple threads may access to same context array

fixes #1080
[Decode] Correct the resource reference count

Incorrect reference count will causse resource inaccessible

fixes #1080
[MOS] Add the lock for context array to keep thread safety

Multiple threads may access to same context array

fixes #1080
[MOS] Add the lock for context array to keep thread safety

Multiple threads may access to same context array

fixes #1080
[MOS] Add the lock for context array to keep thread safety

Multiple threads may access to same context array

fixes #1080
